Bug 1251252 - API documentation for kickstart.importFile (and more) refers to "RHN"
API documentation for kickstart.importFile (and more) refers to "RHN"
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: API (Show other bugs)
570
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Ondrej Gajdusek
Radovan Drazny
:
Depends On:
Blocks: sat580-low
  Show dependency treegraph
 
Reported: 2015-08-06 15:58 EDT by Jan Hutař
Modified: 2017-06-21 08:06 EDT (History)
6 users (show)

See Also:
Fixed In Version: spacewalk-java-2.5.14-20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-21 08:06:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Hutař 2015-08-06 15:58:51 EDT
Description of problem:
API documentation for kickstart.importFile reffers to "RHN"


Version-Release number of selected component (if applicable):
spacewalk-java-2.3.8-108.el6sat.noarch


How reproducible:
always


Steps to Reproduce:
1. Check description on (all 3 variants of the call):
   https://<fqdn>/rhn/apidoc/handlers/KickstartHandler.jsp#importFile
   Check also:
     #createProfileWithCustomUrl
     #createProfile - in the description there is "Import a KS profile...",
                      but probably should be "Create a KS profile..."


Actual results:
Method: importFile
Description: Import a kickstart profile into RHN. 


Expected results:
Calls importRawFile below importFile have "satellite" in the description. That is not perfect as well, but is better.
Comment 1 Ondrej Gajdusek 2016-08-23 04:51:02 EDT
taking
Comment 2 Ondrej Gajdusek 2016-08-29 10:36:50 EDT
There is no way to change these names (Spacewalk, Satellite) dynamically. So I changed 'RHN' reference to 'Satellite'. Repaired in commit 6f3ece96eaa07503653a65ec1a2dd9d37543a28 .
Comment 3 Ondrej Gajdusek 2016-11-02 06:10:57 EDT
Commit I mentioned in comment #2 is incorrect. The correct hash of the commits I did are 4b3c2144dcf356c6f48e398aed6643708f8c227f for the parrent commit and a14d72eb14b1b787a650b8fb9f15fa52fbee0c9d for the child.
Comment 4 Tomas Lestach 2016-11-03 07:00:17 EDT
removing 'into Satellite' completely as:
* product name is 'Red Hat Satellite'
* it should make some sense on Spacewalk as well

spacewalk.git: eb29c1f8e5abdc77cb803c0c2e06cbfaa1c25bd6

Note You need to log in before you can comment on or make changes to this bug.